allow-lan: true
port: 7890
mode: rule
unified-delay: true
dns:
    enable: true
    default-nameserver:
      - 223.5.5.5
      - 119.29.29.29
    nameserver-policy:
      "geosite:cn,private":
        - 223.5.5.5
        - 119.29.29.29
        - 114.114.114.114
        - 180.76.76.76
      "rule-set:steamcn,games,dir":
        - 223.5.5.5
        - 119.29.29.29
        - 114.114.114.114
        - 180.76.76.76
    nameserver:
      - https://1.1.1.1/dns-query
      - https://cloudflare-dns.com/dns-query
      - https://8.8.8.8/dns-query
      - https://dns.google/dns-query
      - https://dns.longans.de/dns-query
      - tls://1.0.0.1
      - one.one.one.one
      - dns.google




# 🇺🇸 🇭🇰 🇸🇬 🇹🇼 🇯🇵
proxies:
  - name: 🇯🇵 JP
    type: ss
    server: oracle.wampee.de
    port: 4000
    cipher: aes-128-gcm
    password: Ypqz1bIj6HrPNWU8xtluzMK5V3LtGvmheNCThodXss0=
    udp: true
    dialer-proxy: 🇺🇸 BWG


  - name: 🇺🇸 BWG
    type: anytls
    server: tls.wampee.de
    port: 8443
    password: rx0FiIwExe
    client-fingerprint: chrome
    udp: true
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    sni: tls.wampee.de
    alpn:
      - h2
      - http/1.1
    skip-cert-verify: true

  - name: 🇯🇵 Oracle
    type: vless
    server: ip2.wampee.de
    port: 443
    uuid: 285dc6ef-ad4b-4b1a-bb85-8cfdb7a03ee8
    udp: true
    tls: true
    servername: jpcf.wampee.net
    client-fingerprint: chrome
    alpn:
      - h2
    network: xhttp
    xhttp-opts:
      mode: stream-up
      path: "/oracle"
      x-padding-bytes: "100-1000"
      sc-max-each-post-bytes: 1000000

      download-settings:
        path: "/oracle"
        server: ip2.wampee.net
        port: 443
        tls: true
        servername: jpcf.wampee.net
        client-fingerprint: chrome
        alpn:
          - h2





proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - 🇯🇵 JP
      - 🇺🇸 BWG
      - 🇯🇵 Oracle


rule-providers:
    tiktok:
        behavior: classical
        interval: 86400
        path: ./ruleset/tiktok.yaml
        type: http
        url: https://github.com/blackmatrix7/ios_rule_script/raw/refs/heads/master/rule/Clash/TikTok/TikTok.yaml
    bybit:
        behavior: classical
        interval: 86400
        path: ./ruleset/bybit.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/bybit.yaml
    ai:
        behavior: classical
        interval: 86400
        path: ./ruleset/ai.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/ai.yaml
    dir:
        behavior: classical
        interval: 86400
        path: ./ruleset/dir.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/dir.yaml
        
    pro:
        behavior: classical
        interval: 86400
        path: ./ruleset/pro.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/refs/heads/main/pro.yaml

    games:
        behavior: classical
        interval: 86400
        path: ./ruleset/games.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/games.yaml
    google:
        behavior: domain
        interval: 86400
        path: ./ruleset/google.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Google/Google.yaml
    googleseries:
        behavior: classical
        interval: 86400
        path: ./ruleset/googleseries.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/googleseries
    microsoft:
        behavior: classical
        interval: 86400
        path: ./ruleset/microsoft.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Microsoft/Microsoft.yaml
    steamcn:
        behavior: classical
        interval: 86400
        path: ./ruleset/steamcn.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/SteamCN/SteamCN.yaml
    telegramcidr:
        behavior: classical
        interval: 86400
        path: ./ruleset/telegramcidr.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/refs/heads/master/rule/Clash/Telegram/Telegram.yaml
    wifi-calling:
        behavior: classical
        interval: 86400
        path: ./ruleset/wifi-calling.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/wifi-calling.yaml
rules:
    - DOMAIN-SUFFIX,store.steampowered.com,PROXY
    - DOMAIN-SUFFIX,steamcommunity.com,PROXY
    - DOMAIN,clash.razord.top,DIRECT
    - DOMAIN,yacd.haishan.me,DIRECT
    - RULE-SET,wifi-calling,PROXY
    - RULE-SET,tiktok,PROXY
    - RULE-SET,pro,PROXY
    - RULE-SET,googleseries,PROXY
    - RULE-SET,ai,PROXY
    - RULE-SET,steamcn,DIRECT
    - RULE-SET,games,DIRECT
    - RULE-SET,microsoft,PROXY
    - RULE-SET,telegramcidr,PROXY
    - RULE-SET,dir,DIRECT
    - RULE-SET,google,PROXY
    - GEOIP,CN,DIRECT
    - GEOIP,LAN,DIRECT
    - MATCH,PROXY
